// Copyright (C) 1991 - 1999 Rational Software Corporation

#if defined (_MSC_VER) && (_MSC_VER >= 1000)
#pragma once
#endif
#ifndef _INC_GESTIONSITE_3E90047602CE_INCLUDED
#define _INC_GESTIONSITE_3E90047602CE_INCLUDED

#pragma warning(disable:4786)

#include <string>
#include <vector>
#include <fstream>
#include <iostream>
#include <algorithm>

using namespace std;

#include "GroupePortes.h"
#include "Porte.h"
#include "Personne.h"
#include "GroupePersonnes.h"

const string path="C:\\Temp\\GestionAcces\\Init\\";

const string fAutorisations= path + "autorisations.txt";
const string fGroupePersonnes= path + "groupePersonnes.txt";
const string fGroupePortes= path + "groupePortes.txt";

//##ModelId=3E90047602CE
class GestionSite 
{
public:
	//##ModelId=3E90846000CB
	GroupePortes* leGroupePortes(int num);

	//##ModelId=3E9084B50290
	GroupePersonnes* leGroupePersonnes(int num);

	//##ModelId=3E907A3602FD
	vector<GroupePersonnes> theGroupePersonnes;

	//##ModelId=3E9004A5006D
	vector<GroupePortes> theGroupePortes;

	//##ModelId=3E900503002E
	bool autorise(int badge, int porte);

	//##ModelId=3E9005460196
	vector<Porte> listePorte(Personne personne);

	//##ModelId=3E9009850232
	virtual ~GestionSite();

	//##ModelId=3E900986009E
	GestionSite();

private :
	//##ModelId=3E909FB1031C
	void initGroupePersonnes();
	//##ModelId=3E909FB1035B
	void initGroupePortes();
	//##ModelId=3E909FB1038A
	void initAutorisations();
	//##ModelId=3E909FB103B9
	pair<string,string> filtrer(string s);
};

#endif /* _INC_GESTIONSITE_3E90047602CE_INCLUDED */
