// Copyright (C) 1991 - 1999 Rational Software Corporation

#if defined (_MSC_VER) && (_MSC_VER >= 1000)
#pragma once
#endif
#ifndef _INC_PERSONNE_3E9003650128_INCLUDED
#define _INC_PERSONNE_3E9003650128_INCLUDED

#pragma warning(disable:4786)

#include <vector>
#include <string>

using namespace std;

#include "Badge.h"

//##ModelId=3E9003650128
class Personne 
{
public:
	//##ModelId=3E92F83100EA
	bool operator<(Personne& rhs) const;

	//##ModelId=3E90A5E70119
	const int get_numeroBadge() const;

	//##ModelId=3E90A5B603D8
	bool operator==(const Personne& rhs) const;

	//##ModelId=3E904B04034B
	Personne(string init);

	//##ModelId=3E90090B0399
	virtual ~Personne();

	//##ModelId=3E9009130157
	Personne(string _nom, string _prenom, int _numero = 0);

	//##ModelId=3E901F9D01F6
	const string get_nom() const;

	//##ModelId=3E901FA60399
	const string get_prenom() const;

private:
	//##ModelId=3E90A44600DA
	int numeroBadge;

	//##ModelId=3E9003B00148
	string nom;

	//##ModelId=3E9003D202AF
	string prenom;

	//##ModelId=3E90090E033E
	Personne();

};

#endif /* _INC_PERSONNE_3E9003650128_INCLUDED */
