// Copyright (C) 1991 - 1999 Rational Software Corporation

#include "stdafx.h"
#include "Badge.h"
#include "Personne.h"



//##ModelId=3E90090B0399
Personne::~Personne()
{
}

//##ModelId=3E904B04034B
Personne::Personne(string init)
{
	int p1 = init.find ("|", 0);
	nom = init.substr (0, p1);
	p1++;
	int p2 = init.find ("|", p1);
	prenom = init.substr (p1, p2-p1);
	p2++;
	string num = init.substr (p2, init.size() - p2 - p1);
	numeroBadge = atoi(num.c_str());
}

//##ModelId=3E9009130157
Personne::Personne(string _nom, string _prenom, int _numero)
	: nom(_nom), prenom(_prenom), numeroBadge(_numero)
{
}

//##ModelId=3E901F9D01F6
const string Personne::get_nom() const
{
	return nom;
}

//##ModelId=3E901FA60399
const string Personne::get_prenom() const
{
	return prenom;
}

//##ModelId=3E90A5E70119
const int Personne::get_numeroBadge() const
{
	return numeroBadge;
}

//##ModelId=3E90090E033E
Personne::Personne()
{
}

//##ModelId=3E90A5B603D8
bool Personne::operator==(const Personne& rhs) const
{
	return numeroBadge == rhs.get_numeroBadge();
}

//##ModelId=3E92F83100EA
bool Personne::operator<(Personne& rhs) const
{
	return (nom + prenom < rhs.get_nom() + rhs.get_prenom());
}

